## TplCallEvent

TplCallEvent — Representation of a call log event

## Functions

GTimeSpan | tpl_call_event_get_duration ()
TplEntity * | tpl_call_event_get_end_actor ()
TpCallStateChangeReason | tpl_call_event_get_end_reason ()
const gchar * | tpl_call_event_get_detailed_end_reason ()

## Properties

char * | detailed-end-reason | Read / Write / Construct Only
gint64 | duration | Read / Write / Construct Only
TplEntity * | end-actor | Read / Write / Construct Only
int | end-reason | Read / Write / Construct Only

## Types and Values

| TplCallEventPriv

## Object Hierarchy

        GObject
        ╰── TplEvent
            ╰── TplCallEvent

## Description

A subclass of TplEvent representing a call log event.

## Functions

### tpl_call_event_get_duration ()

    GTimeSpan
    tpl_call_event_get_duration (TplCallEvent *self);

#### Parameters

self | a TplCallEvent |

#### Returns

the same duration as the “duration” property

### tpl_call_event_get_end_actor ()

    TplEntity *
    tpl_call_event_get_end_actor (TplCallEvent *self);

#### Parameters

self | a TplCallEvent |

#### Returns

the same TplEntity as “end-actor” property.

[transfer none]

### tpl_call_event_get_end_reason ()

    TpCallStateChangeReason
    tpl_call_event_get_end_reason (TplCallEvent *self);

#### Parameters

self | a TplCallEvent |

#### Returns

the same TpCallStateChangeReason as “end-reason” property

### tpl_call_event_get_detailed_end_reason ()

    const gchar *
    tpl_call_event_get_detailed_end_reason
                                   (TplCallEvent *self);

#### Parameters

self | a TplCallEvent |

#### Returns

the same string as the “detailed-end-reason” property.

[transfer none]

## Types and Values

### TplCallEventPriv

    typedef struct _TplCallEventPriv TplCallEventPriv;

## Property Details

### The `“detailed-end-reason”` property

      “detailed-end-reason”      char *

A string representing a D-Bus error that gives more details about the end reason.

Owner: TplCallEvent

Flags: Read / Write / Construct Only

Default value: ""

### The `“duration”` property

      “duration”                 gint64

The call duration in seconds.

Owner: TplCallEvent

Flags: Read / Write / Construct Only

Allowed values: >= -1

Default value: 0

### The `“end-actor”` property

      “end-actor”                TplEntity *

Actor (a #TplEntity) that caused the call to end.

Owner: TplCallEvent

Flags: Read / Write / Construct Only

### The `“end-reason”` property

      “end-reason”               int

Reason for wich this call was ended.

Owner: TplCallEvent

Flags: Read / Write / Construct Only

Allowed values: [0,14]

Default value: 0